<?php
namespace Model;
use Model\Role;

// Data Class

class User{
    public function __construct(
        private int $id,
        private string $nom,
        private string $prenom,
        private string $email,
        private string $motDePasse,
        private string $sexe,
        private float $taille,
        private float $poids,
        private \DateTime $dateNaissance,
        private Role $role,
    ) {}

    public function isValidPassword(string $password){
        // not implemented
        return true;
    }
    public function __toString() {
        return "Athlete [ID: {$this->id}, Nom: {$this->nom}, Prénom: {$this->prenom}, Email: {$this->email}]";
    }
    
} 